View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
17484Bug reportsPluginspublic2021-09-06 10:59
Reportergabrieljenik Assigned Togabrieljenik  
PrioritynormalSeverityblock 
Status closedResolutionfixed 
Product Version5.x 
Summary17484: After installing plugins through web interface, some files are missing.
DescriptionSome files present in the zip file were not included in the server final destination after installing.
We believe is the files which have 2 dots on their names, like "editor.bootstrap.min.css"
TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)5.0
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionmysql
Server OS (if known)
Webserver software & version (if known)
PHP Version7

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

ollehar

ollehar

2021-07-28 16:33

administrator   ~65700

Uh, which plugin??
gabrieljenik

gabrieljenik

2021-07-28 16:43

manager   ~65701

Last edited: 2021-07-29 10:24

one of my own.. I will prepare a sample for reproducing it
galads

galads

2021-07-29 08:37

administrator   ~65720

Last edited: 2021-07-29 10:24

Please provide a sample so I can reproduce this issue.
gabrieljenik

gabrieljenik

2021-07-30 14:33

manager   ~65759

That zip has an 'assets' folder with two files. One of the files has a single period in the name, and the other has two. When you upload it to Lime, there is only one left in the folder.
Example.zip (1,993 bytes)
gabrieljenik

gabrieljenik

2021-08-05 19:14

manager   ~65866

https://github.com/LimeSurvey/LimeSurvey/pull/1992

It seems the validation was done to avoid a vulnerability (https://bugs.limesurvey.org/view.php?id=8565). According to commit 165c8353, that only applied to old PHP versions with a specific mod.
Since that check was already removed for theme's upload, we are also removing it here.
If it's really needed, maybe it could be replaced by a more specific validation (eg. checking that files don't have ".php" in the middle on the name).
gabrieljenik

gabrieljenik

2021-08-10 15:06

manager   ~65899

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32500
galads

galads

2021-08-30 14:00

administrator   ~66181

Merged to master already

Related Changesets

LimeSurvey: master 248cf103

2021-08-10 15:06:34

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17484: After installing plugins through web interface, some files are missing (#1992)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>
Affected Issues
17484
mod - application/controllers/admin/PluginManagerController.php Diff File

Issue History

Date Modified Username Field Change
2021-07-28 16:33 gabrieljenik New Issue
2021-07-28 16:33 ollehar Note Added: 65700
2021-07-28 16:43 gabrieljenik Note Added: 65701
2021-07-29 08:37 galads Note Added: 65720
2021-07-29 10:24 galads Assigned To => galads
2021-07-29 10:24 galads Status new => acknowledged
2021-07-29 14:13 ollehar Status acknowledged => feedback
2021-07-30 14:33 gabrieljenik Note Added: 65759
2021-07-30 14:33 gabrieljenik File Added: Example.zip
2021-07-30 14:33 gabrieljenik Status feedback => assigned
2021-08-03 15:19 ollehar Priority none => normal
2021-08-03 15:19 ollehar Sync to Zoho Project Yes => |Yes|
2021-08-03 17:01 galads Assigned To galads => gabrieljenik
2021-08-03 17:01 galads Status assigned => confirmed
2021-08-05 19:14 gabrieljenik Status confirmed => testing
2021-08-05 19:14 gabrieljenik Note Added: 65866
2021-08-10 15:06 gabrieljenik Changeset attached => LimeSurvey master 248cf103
2021-08-10 15:06 gabrieljenik Note Added: 65899
2021-08-10 15:06 gabrieljenik Resolution open => fixed
2021-08-30 14:00 galads Status testing => resolved
2021-08-30 14:00 galads Note Added: 66181
2021-09-06 10:59 c_schmitz Status resolved => closed